from pipeline import Pipeline
import pandas as pd

def main():
    
    # Ejemplo de uso, en la carpeta con el código proporcionado no se incluye la carpeta de 'Duke dataset' debido a su elevado peso.
    # La estructura y contenido de la carpeta 'Duke dataset' se detalla en el apartado de materiales de la memoria del trabajo.
    
    global_args = {
        'global_path': "../Duke dataset/",
        'annotation_boxes_path': '../Duke dataset/segmentation_annotations_NIFTI.csv',
        'segmentation_types': ['manual', 'closing']
    }
    features_output_path = "../Duke dataset/Feature Extraction Results/"

    pipeline = Pipeline(features_output_path, global_args)
    pipeline.run_global_pipeline()

if __name__ == "__main__":
    main()
